Bug 83675 - embedded fonts are double and also non-used fonts are embedded - the used font is not embedded
Summary: embedded fonts are double and also non-used fonts are embedded - the used fon...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 113658 (view as bug list)
Depends on:
Blocks: Fonts-Embedded
  Show dependency treegraph
 
Reported: 2014-09-09 14:43 UTC by squeezechart
Modified: 2019-06-20 02:50 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
SqueezeChart2014web.xlsx (770.19 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-09-09 14:43 UTC, squeezechart
Details
Demo of problem (9.32 MB, application/vnd.oasis.opendocument.text)
2018-06-19 23:09 UTC, Robert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description squeezechart 2014-09-09 14:43:55 UTC
Created attachment 105986 [details]
SqueezeChart2014web.xlsx

If this spreadsheet is saved with fonts embedding enabled,
the following fonts are embedded twice:

* Arial (895.200 bytes)
* Arial bold (857.344 bytes)
* Arial bold italic (630.804 bytes)
* Arial italic (635.860 bytes)
* Calibri (812.488 bytes)

those fonts are embedded but not used in that document:

* Arial (895.200 bytes)
* Arial bold (857.344 bytes)
* Arial bold italic (630.804 bytes)
* Arial italic (635.860 bytes)
* Calibri (812.488 bytes)
* Calibri bold (849.956 bytes)
* Calibri bold italic (900.868 bytes)
* Calibri italic (854.732 bytes)

The font that is used in whole document is !not! embedded (Futura Lt BT)
Comment 1 Owen Genat (retired) 2014-09-14 13:58:18 UTC
(In reply to comment #0)
> If this spreadsheet is saved with fonts embedding enabled,

Presumably this is a reference to saving as ODS because File > Properties > Fonts tab > "Embed fonts in the document" option[1] only applies to this file format.

> those fonts are embedded but not used in that document:

Here is a quick grep of fonts used in the provided XLSX (contents of file extracted to xlsx/ directory):

$ grep --no-filename -ore "rFont[^/]*" xlsx/ | sort -u
rFont val="Arial"
rFont val="Futura Lt BT"
rFont val="Segoe UI"
rFont val="Tahoma"
$ grep --no-filename -ore "name val=[^/]*" xlsx/ | sort -u
name val="Arial"
name val="Calibri"
name val="Futura Lt BT"
name val="Segoe UI"
name val="Tahoma"
name val="WenQuanYi Zen Hei"

So both Arial and Calibri are listed as either used somewhere in the document or defined in a default style. Some of the other fonts (Segoe UI and Tahoma) seem to be used in comments.

> The font that is used in whole document is !not! embedded (Futura Lt BT)

I have tested saving the XLSX to ODS under GNU/Linux using v4.3.1.2 with the font embedding option turned on and this does indeed appear to be a problem. Fonts embedded:

- Liberation Sans
- Liberation Sans Bold
- Liberation Sans Italic
- Liberation Sans Bold Italic
- DejaVu Sans
- DejaVu Sans Bold
- FreeSans
- FreeSansOblique

Liberation Sans is the metric equivalent of Arial, so it will be a substitution (as I do not presently have Arial installed). The others I am unsure about and I am also not sure why the Futura Lt BT TTF font is not embedded (this I can confirm). Overall I feel this report is likely a duplicate of bug 65353. Platform set to All/All. Bug 65353 added to See Also list for now.

[1] This location may change, refer bug 64357.
Comment 2 Timur 2014-10-03 08:44:24 UTC
As Unconfirmed, this cannot be in MAB, so I delete from mab4.3.
Please do not add your own unconfirmed bugs to MAB.
Comment 3 Adolfo Jayme 2014-10-09 08:57:02 UTC
(In reply to squeezechart from comment #0)
> The font that is used in whole document is !not! embedded (Futura Lt BT)

Does that particular font have the embedding permission? If not, LibreOffice won’t embed it as it’d be illegal.

To check a font’s permissions, use this tool: https://www.microsoft.com/typography/property/fpedit.htm
Comment 4 Owen Genat (retired) 2014-10-10 11:03:08 UTC
(In reply to Adolfo Jayme from comment #3)
> (In reply to squeezechart from comment #0)
> > The font that is used in whole document is !not! embedded (Futura Lt BT)
> 
> Does that particular font have the embedding permission? If not, LibreOffice
> won’t embed it as it’d be illegal.

In my test (comment 1) the version of this TTF I used (v1.52 / 1993 from Bitstream) has, in FontForge, the Embeddable field set to "Editable Document" with both options No Subsetting and Only Embed Bitmaps unchecked. That would seem to imply it is possible to embed the version I tested with, yes? This may mean that at least in terms of this font not being embedded, this bug is confirmed. I can email the font Adolfo if that will assist.
Comment 5 mmolle 2014-10-11 15:17:51 UTC
I had the Problem with the font 'Segoe UI light'. All .ttf-Files of the Segoe UI family are marked 0x0008 (editable embedding, http://www.microsoft.com/typography/otspec/os2.htm#fst), and some segoeui?.ttf files are embedded, but not the segoeuil.ttf.

thx!
Comment 6 Rpnpif 2016-08-29 10:55:12 UTC
This annoying issue is confirmed by several users for two years at least.

It exists in Writer and Calc.

Regards.
Comment 7 Rpnpif 2016-08-29 10:57:09 UTC
This bug is to rely to #65353.
Comment 8 squeezechart 2016-09-20 12:47:58 UTC
bug is still present - tested with LibreOffice 5.2.1 on Win10_x64
Comment 9 madmalkav 2016-11-25 19:17:09 UTC
Another sample of file with not working embedded fonts:

https://github.com/madmalkav/apuntes-japones-EOI/blob/master/Apuntes%20de%20japones.odt

The file uses two fonts:

Yu Gothic UI Light, with font property embeddable set to Editable. This is a Windows 10 system font, also available for download here: https://www.microsoft.com/en-us/download/details.aspx?id=49114

KanjiStrokeOrders, with font property embeddable set to Installable. This is a free font downloadable from: http://www.nihilist.org.uk/

The problem have been verified in both LInux and Windows with different versions of LO 5.x , including last nightly.
Comment 10 squeezechart 2017-12-18 10:47:35 UTC
this issue is still present in LibreOffice 6.0.0 beta 2 (win64)
Comment 11 Buovjaga 2017-12-19 14:06:38 UTC
*** Bug 113658 has been marked as a duplicate of this bug. ***
Comment 12 Robert 2018-06-19 23:09:42 UTC
Created attachment 142943 [details]
Demo of problem

This demonstrates the problem. Fonts are set to be embedded, and the two fonts have installable for the embedding permission. Yet neither is in the font folder.
Comment 13 Robert 2018-06-19 23:16:58 UTC
Confirmed problem exists in LibreOffice Writer 5.4.4 and 5.4.7.2 (both x64). See attachment "Demo of problem". I added two lines, then manually (not with styles) changed the font of one line to Merriweather Light and the other line to Montserrat ExtraBold.

Both fonts were downloaded from FontSquirrel, both under the SIL Open Font License v1.10. I checked the embedding permissions on both fonts, and they are both installable.

If I open the saved file with 7-zip and look at the font folder, neither font is in there. They are not being embedded even though the embed fonts checkbox is checked.
Comment 14 QA Administrators 2019-06-20 02:50:55 UTC
Dear squeezechart,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug